import * as THREE from 'three'
import Proyector from './Proyector'
import React, { useRef } from 'react'
import ObraAudio from '../../ObraAudio'

export default function Model(props: JSX.IntrinsicElements['group']) {
  const group = useRef<THREE.Group>()
  return (
    <group ref={group} {...props} dispose={null}>
      <Proyector wide videoSrc="/video/diego_guido.mp4" />
      <ObraAudio position={[0, 0, -10]} url="/audio/diego_guido.ogg" loop distance={2} />
    </group>
  )
}
